clang 8.0.0

Public Member Functions | Static Public Member Functions | List of all members
clang::CodeGen::DominatingValue< RValue >::saved_type Class Reference

`#include "/work/www-prereleases/8.0.0/rc2/builddocs/llvm.src/tools/clang/lib/CodeGen/CodeGenFunction.h"`

## Public Member Functions
RValue | restore (CodeGenFunction &CGF)

## Static Public Member Functions
static bool | needsSaving (RValue value)
static saved_type | save (CodeGenFunction &CGF, RValue value)

## Detailed Description

### template<>
class clang::CodeGen::DominatingValue< RValue >::saved_type

Definition at line 196 of file CodeGenFunction.h.

## Member Function Documentation

## ◆ needsSaving()

static bool clang::CodeGen::DominatingValue< RValue >::saved_type::needsSaving | ( | RValue | value | ) |
| static

## ◆ restore()

RValue clang::CodeGen::DominatingValue< RValue >::saved_type::restore | ( | CodeGenFunction & | CGF | ) |

## ◆ save()

static saved_type clang::CodeGen::DominatingValue< RValue >::saved_type::save | ( | CodeGenFunction & | CGF,
|  | RValue | value
| ) |  |
| static

The documentation for this class was generated from the following file:

- lib/CodeGen/CodeGenFunction.h